2 Replies Latest reply on Jan 29, 2015 2:27 AM by Di Anne

    Circular pattern in sketch

    Di Anne

      Hi doesnt anyone knows why my code in creating circular pattern doesnt work?

       

      below is my code:

       

                  swModel.Extension.SelectByID2("Sketch1", "SKETCH", 0, 0, 0, false, 0, null, 0);
                  swModel.EditSketch();
                  swModel.Extension.SelectByID2("Arc3", "SKETCHSEGMENT", 0, 0, 0, false, 0, null, 0);

       

                  double arcRad = (bcd / 2.0) / 1000.0;
                  double arcAngle = Math.Abs(((270.0 - angle) * Math.PI) / 180);     
                  double patternSpacing = Math.Abs(((360.0 / holeNum) * Math.PI) / 180);

       

                  //creates the pattern

                  swModel.SketchManager.EditCircularSketchStepAndRepeat(arcRad, arcAngle, flangeDim.BoltCount, patternSpacing, true, "", false, false, true, "Arc3_");  

       


      pattern.jpg

       

      Thank you very much.Keith RiceDeepak Gupta